#import "Utility.h"
#import "ePOS-Print.h"

static NSString* const  PRINT_TEXT_WIFI         = @"Wi-Fi";
static NSString* const  PRINT_TEXT_BT           = @"Bluetooth";

@implementation Utility



+ (NSString *)interfaceString:(int)eposConnectionType
{
    switch(eposConnectionType) {
        case EPOS_OC_DEVTYPE_BLUETOOTH:
            return PRINT_TEXT_BT;
        case EPOS_OC_DEVTYPE_TCP:
            return PRINT_TEXT_WIFI;
        default:
            return @"";
    }
}


//----------------------------------------------------------------------------//
#pragma mark - Change Button State Method
//----------------------------------------------------------------------------//
+ (void)UIButtonEnableWithColor:(UIButton*)button
{
    [button setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    [button setEnabled:YES];
}
+ (void)UIButtonDisableWithColor:(UIButton*)button
{
    [button setTitleColor:[UIColor grayColor] forState:UIControlStateDisabled];
    [button setEnabled:NO];
}




@end
