#import "ShowMsg.h"
#import "ePOS-Print.h"

#define BITCNT_INT  32


@interface ShowMsg()
+ (void)show:(NSString*)msg;
+ (NSString*)getEpsonIoResultText:(int)result;
@end

@implementation ShowMsg

//show error code(EpsonIo Result)
+ (void)showExceptionEpsonIo:(int)result method:(NSString*)method
{
    NSString *msg = [NSString stringWithFormat:@"%@\n%@\n\n%@\n%@\n",
                     NSLocalizedString(@"methoderr_errcode", @""),
                     [self getEpsonIoResultText:result],
                     NSLocalizedString(@"methoderr_method", @""),
                     method];
    [self show:msg];
}

//show alart view
+ (void)show:(NSString*)msg
{
    UIAlertView *alert = [[UIAlertView alloc]
                           initWithTitle:nil
                           message:msg
                           delegate:nil
                           cancelButtonTitle:nil
                           otherButtonTitles:@"OK", nil
                           ] ;
    [alert show];
    
}

//convert EpsonIo Result to text
+ (NSString*)getEpsonIoResultText:(int)result
{
    switch(result){
        case EPSONIO_OC_SUCCESS:
            return @"SUCCESS";
        case EPSONIO_OC_ERR_PARAM:
            return @"ERR_PARAM";
        case EPSONIO_OC_ERR_OPEN:
            return @"ERR_OPEN";
        case EPSONIO_OC_ERR_CONNECT:
            return @"ERR_CONNECT";
        case EPSONIO_OC_ERR_TIMEOUT:
            return @"ERR_TIMEOUT";
        case EPSONIO_OC_ERR_MEMORY:
            return @"ERR_MEMORY";
        case EPSONIO_OC_ERR_ILLEGAL:
            return @"ERR_ILLEGAL";
        case EPSONIO_OC_ERR_PROCESSING:
            return @"ERR_PROCESSING";
        case EPSONIO_OC_ERR_FAILURE:
            return @"ERR_FAILURE";
        default:
            return [NSString stringWithFormat:@"%d", result];
    }
}

@end
