#import <UIKit/UIKit.h>
#import "PickerTableView.h"
#import "UIViewControllerCustom.h"

@class EposPrint;

@protocol OpenPrinterDelegate
- (void)onOpenPrinter:(EposPrint*)prn
       connectionType:(int)connectionType
            ipaddress:(NSString*)ipaddress
          printername:(NSString*)printername
             language:(int)language;

- (void)setEventCallback:(EposPrint*)prn;

@end


@interface OpenView : UIViewControllerCustom<SelectPickerTableDelegate> {
    id<OpenPrinterDelegate> delegate_;
    PickerTableView *printerList_;
    PickerTableView *languageList_;
    NSString *initIpAddress_;
    int initConnectionType_;
}
@property (retain, nonatomic) IBOutlet UITextField *textIp_;
@property (retain, nonatomic) IBOutlet UIButton *buttonLangage_;
@property (retain, nonatomic) IBOutlet UIButton *buttonPrinter_;
@property (assign, nonatomic) id<OpenPrinterDelegate> delegate;
@property (retain, nonatomic) IBOutlet UIScrollView *scrollView_;
@property (retain, nonatomic) IBOutlet UIView *itemView_;
@property (retain, nonatomic) IBOutlet UISegmentedControl *deviceType_;
@property (retain, nonatomic) IBOutlet UISwitch *switchStatusMonitor_;
@property (retain, nonatomic) IBOutlet UITextField *textInterval_;

- (id)initWithConnectionType:(int)connectionType address:(NSString*)address;

@end
